// Internal file : BaseProcessing/ADISUSBZ.h
#pragma once

typedef void *HANDLE;

class ADISUSBZ
{
public:
    ADISUSBZ();
    virtual ~ADISUSBZ();

    bool Initialize( const char * aDeviceName );

    short ReadInt14( unsigned char aAddress );

private:
    short ReadInt16( unsigned char aAddress );

    void WriteLoopDelay ();
    void WriteStaticBits();

    void Rx(       void * aOut, unsigned char aOutSize );
    void Tx( const void * aIn , unsigned char aInSize  );

    void DeviceControl( unsigned int aIoCtl, const void * aIn, unsigned int aInSize, void * aOut, unsigned int aOutSize );

    HANDLE _handle;
};
