//!!ADIS16365 MEMORY MAP
//ͽƮ 

#define FLASH_CNT	0x00	//Flash memory write count
#define SUPPLY_OUT	0x02	//power supply measurement
#define XGYRO_OUT	0x04	//x-axis gyroscope output
#define YGYRO_OUT	0x06	//y-axis gyroscope output
#define ZGYRO_OUT	0x08	//z-axis gyroscope output
#define XACCL_OUT	0x0A	//x-axis accelerometer output
#define YACCL_OUT	0x0C	//y-axis accelerometer output
#define ZACCL_OUT	0x0E	//z-axis accelerometer output
#define XTEMP_OUT	0x10	//x-axis gyroscope temperature measurement
#define YTEMP_OUT	0x12	//y-axis gyroscope temperature measurement
#define ZTEMP_OUT	0x14	//z-axis gyroscope temperature measurement
#define AUX_ADC		0x16	//auxiliary ADC output
#define XGYRO_OFF	0x1A	//x-axis gyroscope bias offset factor
#define YGYRO_OFF	0x0C	//y-axis gyroscope bias offset factor
#define ZGYRO_OFF	0x0E	//z-axis gyroscope bias offset factor
#define XACCL_OFF	0x20	//x-axis acceleration bias offset factor
#define YACCL_OFF	0x22	//y-axis acceleration bias offset factor
#define ZACCL_OFF	0x24	//z-axis acceleration bias offset factor
#define ALM_MAG1	0x26	//alarm 1 amplitude threshold
#define ALM_MAG2	0x28	//alarm 2 amplitude threshold
#define ALM_SMPL1	0x2A	//alarm 1 sample size
#define ALM_SMPL2	0x2C	//alarm 2 sample size
#define ALM_CTRL	0x2E	//alarm control
#define AUX_DAC		0x30	//auxiliary DAC data
#define GPIO_CTRL	0x32	//auxiliary digital input/output control
#define MSC_CTRL	0x34	//miscellaneous control : data ready, self-test
#define	SMPL_PRD	0x36	//internal sample period(rate) control
#define SENS_AVG	0x38	//dynamic range and digital filter control
#define	SLP_CNT		0x3A	//sleep mode control
#define	DIAG_STAT	0x3C	//system status
#define	GLOB_CMD	0x3E	//system command
#define	LOT_ID1		0x52	//Lot Identification code 1
#define	LPT_ID2		0x54	//Lot Identification code 2
#define	SERIAL_NUM	0x56	//serial number
#define PROD_ID		0x58	//ADIS16365=0x3fed, ADIS16360=0x3fe8